﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props" Condition="Exists('..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <Import Project="$(SolutionDir)\Fuse.targets" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{486BE0C3-2ED8-4AB4-9488-C004C247C719}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Outracks.UnoHost.OSX</RootNamespace>
    <AssemblyName>UnoHost</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\..\</SolutionDir>
    <RestorePackages>true</RestorePackages>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseVSHostingProcess>true</UseVSHostingProcess>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Mono.Options, Version=5.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Mono.Options.5.3.0.1\lib\net4-client\Mono.Options.dll</HintPath>
    </Reference>
    <Reference Include="OpenTK, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Xamarin.OpenTK.3.4.0.2\lib\net45\OpenTK.dll</HintPath>
    </Reference>
    <Reference Include="Outracks.Simulator.Common.Uno">
      <HintPath>..\..\..\Source\Simulator\Common\bin\Outracks.Simulator.Common.Uno.dll</HintPath>
    </Reference>
    <Reference Include="System.Reactive, Version=4.0.0.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\System.Reactive.4.0.0-preview00001\lib\net45\System.Reactive.dll</HintPath>
    </Reference>
    <Reference Include="System.Reactive.Windows.Threading, Version=3.0.1000.0, Culture=neutral, PublicKeyToken=94bc3704cddfc263, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\System.Reactive.Windows.Threading.4.0.0-preview00001\lib\net45\System.Reactive.Windows.Threading.dll</HintPath>
    </Reference>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System" />
    <Reference Include="System.Collections.Immutable, Version=1.0.34.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.Bcl.Immutable.1.0.34\lib\portable-net45+win8+wp8+wpa81\System.Collections.Immutable.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Uno.Common, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Common.1.9.0-rc1\lib\net45\Uno.Common.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Configuration, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Configuration.1.9.0-rc1\lib\net45\Uno.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Runtime.Core, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Runtime.Core.1.9.0-rc1\lib\net45\Uno.Runtime.Core.dll</HintPath>
    </Reference>
    <Reference Include="Uno.Stuff, Version=1.9.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Uno.Stuff.1.9.0-rc1\lib\net45\Uno.Stuff.dll</HintPath>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="Xamarin.Mac, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\lib\net45\Xamarin.Mac.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AppDelegate.cs" />
    <Compile Include="AppDelegate.designer.cs">
      <DependentUpon>AppDelegate.cs</DependentUpon>
    </Compile>
    <Compile Include="MonoMacEnums.cs" />
    <Compile Include="UnoHostControlImplementation.cs" />
    <Compile Include="UnoView\MonoMacGL.cs" />
    <Compile Include="UnoView\MonoMacGL.Dispose.cs" />
    <Compile Include="UnoView\MonoMacEnums.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Protocol\CocoaEventMessage.cs" />
    <Compile Include="UnoView\RenderTargets\IOSurfaceTexture.cs" />
    <Compile Include="DisplayLinkView.cs" />
    <Compile Include="UnoView\EventProcesser.cs" />
    <Compile Include="UnoView\RenderTargets\IOSurface.cs" />
    <Compile Include="UnoView\RenderTargets\IOSurfaceFramebuffer.cs" />
    <Compile Include="UnoView\RenderTargets\IOSurfaceRenderTargetBuffer.cs" />
    <Compile Include="Protocol\NewSurfaceMessage.cs" />
    <Compile Include="Protocol\ResizeMessage.cs" />
    <Compile Include="UnoView\RenderTargets\IRenderTarget.cs" />
    <Compile Include="UnoView\RenderTargets\IOSurfaceRenderTarget.cs" />
    <Compile Include="UnoView\UnoView.cs" />
    <Compile Include="FusionSupport\EventIntercepter.cs" />
    <Compile Include="FusionSupport\Quad.cs" />
    <Compile Include="FusionSupport\ServerView.cs" />
    <Compile Include="FusionSupport\ShaderHelper.cs" />
    <Compile Include="FusionSupport\SurfaceCache.cs" />
    <Compile Include="FusionSupport\SurfaceCacheItem.cs" />
    <Compile Include="FusionSupport\TextureInfo.cs" />
    <Compile Include="FusionSupport\UnoHostViewFactory.cs" />
    <Compile Include="UnoView\RenderTargets\BackbufferRenderTarget.cs" />
    <Compile Include="Dispatcher.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Common\Math\Outracks.Common.Math.csproj">
      <Project>{3C1C1047-8830-498E-882A-503C0956CBE3}</Project>
      <Name>Outracks.Common.Math</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Common\Core\Outracks.Common.Core.csproj">
      <Project>{196b010d-ad36-4947-95aa-14fc4a27bd18}</Project>
      <Name>Outracks.Common.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Fusion\Core\Outracks.Fusion.Core.csproj">
      <Project>{8DFB02E0-ACBF-4432-8DD9-56712E206968}</Project>
      <Name>Outracks.Fusion.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Fusion\Mac\Outracks.Fusion.Mac.csproj">
      <Project>{4b9ec6e2-aa97-48de-9891-2c1d24a4d383}</Project>
      <Name>Outracks.Fusion.Mac</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Preview\Service\Fuse.Preview.Service.csproj">
      <Project>{59e1073a-9b45-41f3-ab94-958a9d18fb72}</Project>
      <Name>Fuse.Preview.Service</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Simulator\Common\Outracks.Simulator.Common.csproj">
      <Project>{3335bb78-0b8a-4d2f-919f-2e6f08883d51}</Project>
      <Name>Outracks.Simulator.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Common\Outracks.UnoHost.Common.csproj">
      <Project>{F2AEB321-51E5-40B8-9CF0-53C930E631F0}</Project>
      <Name>Outracks.UnoHost.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Fusion\BuildTasks\Outracks.Fusion.BuildTasks.csproj">
      <Project>{6D982EC5-40A4-4F93-A7A1-51F23D62BDF4}</Project>
      <Name>Outracks.Fusion.BuildTasks</Name>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="Info.plist" />
    <None Include="packages.config" />
    <BundleResource Include="Resources\Fuse.icns" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="AfterBuild" Condition=" '$(OS)' != 'Windows_NT'">
    <BundleApp AppName="UnoHost" OutputDir="$(OutputPath)" ProjectDir="$(ProjectDir)" FinalDir="$(SolutionDir)bin/$(Configuration)/Fuse.app/Contents" InfoFile="$(ProjectDir)/Info.plist" ResourcePrefix="Resources" MonoPath="$(MonoPath)" />
  </Target>
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
    <Error Condition="!Exists('..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\packages\FuseOpen.Xamarin.Mac.3.4.0.2\build\net45\FuseOpen.Xamarin.Mac.props'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>